Subject: dogwood tree

From: [email-masked] (Barnaclbob)
Date: 17 Jun 1995 11:51:32 -0400

I`m looking for information about the flower of the Dogwood tree. I`m
told there is a legend associated with this flower. I also think it is the
state flower but I dont know which state. Can anyone give me any info that
will at least point me in right direction?                        
                          
                                                            Thank
You-----Barnaclbob

---

From: Scott Ranger <[email-masked]>
Date: 19 Jun 1995 02:43:25 GMT

The dogwood is Virginia's state flower, and it has it all by itself.  The 
legend of the dogwood involves it's cross-shaped flowers with the brown 
tips that represent where the nails were driven into Christ on the cross. 
It's a lot more involved than that, but since it's folklore, I haven't 
paid any more attention to it than that.